package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKING_DETAILRECORD"
)
public class TCoreMaskingDetailrecord extends TBaseEntity {
   private String taskrecordid;
   private String sourceid;
   private String targetid;
   private String totalrow;
   private Date taketime;
   private String successrow;
   private String failurerow;
   private String starttime;
   private String endtime;
   @Column(
      length = 2000
   )
   private String logtext;

   public TCoreMaskingDetailrecord() {
   }

   public String getStarttime() {
      return this.starttime;
   }

   public void setStarttime(String starttime) {
      this.starttime = starttime;
   }

   public String getEndtime() {
      return this.endtime;
   }

   public void setEndtime(String endtime) {
      this.endtime = endtime;
   }

   public TCoreMaskingDetailrecord(String taskrecordid, String sourceid, String targetid, String totalrow, Date taketime, String successrow, String failurerow, String starttime, String endtime, String logtext) {
      this.taskrecordid = taskrecordid;
      this.sourceid = sourceid;
      this.targetid = targetid;
      this.totalrow = totalrow;
      this.taketime = taketime;
      this.successrow = successrow;
      this.failurerow = failurerow;
      this.starttime = starttime;
      this.endtime = endtime;
      this.logtext = logtext;
   }

   public String getTaskrecordid() {
      return this.taskrecordid;
   }

   public void setTaskrecordid(String taskrecordid) {
      this.taskrecordid = taskrecordid;
   }

   public String getSourceid() {
      return this.sourceid;
   }

   public void setSourceid(String sourceid) {
      this.sourceid = sourceid;
   }

   public String getTargetid() {
      return this.targetid;
   }

   public void setTargetid(String targetid) {
      this.targetid = targetid;
   }

   public String getTotalrow() {
      return this.totalrow;
   }

   public void setTotalrow(String totalrow) {
      this.totalrow = totalrow;
   }

   public Date getTaketime() {
      return this.taketime;
   }

   public void setTaketime(Date taketime) {
      this.taketime = taketime;
   }

   public String getSuccessrow() {
      return this.successrow;
   }

   public void setSuccessrow(String successrow) {
      this.successrow = successrow;
   }

   public String getFailurerow() {
      return this.failurerow;
   }

   public void setFailurerow(String failurerow) {
      this.failurerow = failurerow;
   }

   public String getLogtext() {
      return this.logtext;
   }

   public void setLogtext(String logtext) {
      this.logtext = logtext;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.endtime == null ? 0 : this.endtime.hashCode());
      result = 31 * result + (this.failurerow == null ? 0 : this.failurerow.hashCode());
      result = 31 * result + (this.logtext == null ? 0 : this.logtext.hashCode());
      result = 31 * result + (this.sourceid == null ? 0 : this.sourceid.hashCode());
      result = 31 * result + (this.starttime == null ? 0 : this.starttime.hashCode());
      result = 31 * result + (this.successrow == null ? 0 : this.successrow.hashCode());
      result = 31 * result + (this.taketime == null ? 0 : this.taketime.hashCode());
      result = 31 * result + (this.targetid == null ? 0 : this.targetid.hashCode());
      result = 31 * result + (this.taskrecordid == null ? 0 : this.taskrecordid.hashCode());
      result = 31 * result + (this.totalrow == null ? 0 : this.totalrow.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMaskingDetailrecord other = (TCoreMaskingDetailrecord)obj;
         if (this.endtime == null) {
            if (other.endtime != null) {
               return false;
            }
         } else if (!this.endtime.equals(other.endtime)) {
            return false;
         }

         if (this.failurerow == null) {
            if (other.failurerow != null) {
               return false;
            }
         } else if (!this.failurerow.equals(other.failurerow)) {
            return false;
         }

         if (this.logtext == null) {
            if (other.logtext != null) {
               return false;
            }
         } else if (!this.logtext.equals(other.logtext)) {
            return false;
         }

         if (this.sourceid == null) {
            if (other.sourceid != null) {
               return false;
            }
         } else if (!this.sourceid.equals(other.sourceid)) {
            return false;
         }

         if (this.starttime == null) {
            if (other.starttime != null) {
               return false;
            }
         } else if (!this.starttime.equals(other.starttime)) {
            return false;
         }

         if (this.successrow == null) {
            if (other.successrow != null) {
               return false;
            }
         } else if (!this.successrow.equals(other.successrow)) {
            return false;
         }

         if (this.taketime == null) {
            if (other.taketime != null) {
               return false;
            }
         } else if (!this.taketime.equals(other.taketime)) {
            return false;
         }

         if (this.targetid == null) {
            if (other.targetid != null) {
               return false;
            }
         } else if (!this.targetid.equals(other.targetid)) {
            return false;
         }

         if (this.taskrecordid == null) {
            if (other.taskrecordid != null) {
               return false;
            }
         } else if (!this.taskrecordid.equals(other.taskrecordid)) {
            return false;
         }

         if (this.totalrow == null) {
            if (other.totalrow != null) {
               return false;
            }
         } else if (!this.totalrow.equals(other.totalrow)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreMaskingDetailrecord [taskrecordid=" + this.taskrecordid + ", sourceid=" + this.sourceid + ", targetid=" + this.targetid + ", totalrow=" + this.totalrow + ", taketime=" + this.taketime + ", successrow=" + this.successrow + ", failurerow=" + this.failurerow + ", starttime=" + this.starttime + ", endtime=" + this.endtime + ", logtext=" + this.logtext + "]";
   }
}
